﻿''' <summary>
''' Sample program demonstrating the Web Service call of the case search by party service.
''' </summary>
''' <remarks></remarks>
Public Class CallCaseSearchByParty
    'Change these to the account and password provided to you by the MJB Integration Team.   In production these values should be stored in a secure locaiton.
    Const USER As String = "YourUsername"
    Const PW As String = "YourPassword"

    Shared Sub Main()
        MakeCall()

    End Sub

    ''' <summary>
    ''' Call the case search by party service using Web Services
    ''' </summary>
    ''' <remarks></remarks>
    Shared Sub MakeCall()
        '
        'Create an object reference to the service use the custom binding defined in the app.config file to 
        'make use of Soap12 and WS-Addressing 10.  Change the binding name used to use different protocols.
        '
        'Edit the associated endpoint the app config file to change the address that is used.
        '
        Dim objSVC As New CaseSearchByPartyService.CaseSearchByPartyService_3_1Client("CaseSearchByPartyService_3_1_cu")

        '
        'Setup the security token
        '
        objSVC.ClientCredentials.UserName.UserName = USER
        objSVC.ClientCredentials.UserName.Password = PW

        '
        'Create the request message
        '
        Dim objRequest As New CaseSearchByPartyService.CaseSearchByPartyRequest
        objRequest.schemaVersion = "3:1"
        objRequest.messageProducedDateTime = Now

        'Specify that the request is by court file number
        objRequest.Selection = New CaseSearchByPartyService.CaseSearchByPartyRequestSelection
        Dim objPartyNameCriteria As New CaseSearchByPartyService.CaseSearchByPartyRequestSelectionPersonNameBirthAndDeathDate
        objPartyNameCriteria.PersonSurName = "Mouse"
        objPartyNameCriteria.PersonGivenName = "Mickey"
        objRequest.Selection.Item = objPartyNameCriteria


        'Restrict the results to criminal cases
        objRequest.Restriction = New CaseSearchByPartyService.CaseSearchByPartyRequestRestriction
        objRequest.Restriction.CaseTypes = New CaseSearchByPartyService.CaseSearchByPartyRequestRestrictionCaseTypes
        objRequest.Restriction.CaseTypes.CaseCategoryText = New CaseSearchByPartyService.CaseCategoryCodeTextType
        objRequest.Restriction.CaseTypes.CaseCategoryText.Value = "Criminal"

        'Include inactive cases
        objRequest.Restriction.IncludeInactiveIndicator = True




        '
        'Call the service
        '
        Dim objReply As CaseSearchByPartyService.CaseSearchByPartyReply = objSVC.CaseSearchByParty(objRequest)

        '
        'Now do something with the reply
        '

    End Sub




End Class
